﻿using System;
using System.Collections.Generic;

using DevExpress.XtraEditors;
using DevExpress.XtraEditors.Repository;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Load += Form_Load;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 폼 로드시 처리하기 - Form_Load(sender, e)

        /// <summary>
        /// 폼 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Form_Load(object sender, EventArgs e)
        {
            this.gridControl.DataSource = Product.GetList();

            Dictionary<int, string> categoryDictionary = new Dictionary<int, string>();

            categoryDictionary.Add(0, "Beverages");
            categoryDictionary.Add(1, "Grains"   );
            categoryDictionary.Add(2, "Seafood"  );

            RepositoryItemLookUpEdit repositoryItemLookUpEdit = new RepositoryItemLookUpEdit();

            repositoryItemLookUpEdit.DataSource = categoryDictionary;

            repositoryItemLookUpEdit.PopulateColumns();

            repositoryItemLookUpEdit.Columns["Value"].Caption = "Name";

            this.gridView.Columns["CategoryID"].ColumnEdit = repositoryItemLookUpEdit;
        }

        #endregion
    }
}